<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
only_reg();
$set['title']='Список моих гостей'; // заголовок страницы
include_once 'sys/inc/thead.php';

title();
aut();

$new=mysql_result(mysql_query("SELECT COUNT(*) FROM `my_guests` WHERE `id_ank` = '$user[id]' AND `read`='1'"),0);
if($new!=0){
mysql_query("UPDATE `my_guests` SET `read`='0' WHERE `id_ank`='$user[id]' AND `read`='1' LIMIT $new");}

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `my_guests` WHERE `id_ank` = '$user[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)echo'Вашу страничку еще не посещали<br/>';

$q=mysql_query("SELECT * FROM `my_guests` WHERE `id_ank` = '$user[id]' ORDER BY `id` DESC  LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{
$ank=get_user($post['id_user']);
echo'<tr>';

if($num==1){
echo "<div class='rowdown'>";
$num=0;
}else{
echo "<div class='rowup'>";
$num=1;}
echo''.online($ank['id']).'';
echo'<a href="/info.php?id='.$ank['id'].'">'.$ank['nick'].'</a><br/>';

echo'Просмотров: '.$post['count'].'<br/>';
echo'Последний '.vremja($post['time']).'';
echo'</div>';

}

if ($k_page>1)str("?",$k_page,$page); // Вывод страниц
include_once 'sys/inc/tfoot.php';
?>